---
title: format-number
slug: Web/XPath/Functions/format-number
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>format-number</code> function evaluates a number and returns a string representing the number in a given format.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">format-number(<em>number</em> ,<em>pattern</em> [,<em>decimal-format</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>number</em></code></dt>
 <dd>The number to be formatted</dd>
</dl>

<dl>
 <dt><code><em>pattern</em></code></dt>
 <dd>A string in the format of the <a class="external" href="http://java.sun.com/products/archive/jdk/1.1/">JDK 1.1</a> DecimalFormat class. (The documentation for JDK 1.1 is not available online. Here is the <a class="external" href="http://java.sun.com/javase/6/docs/api/java/text/DecimalFormat.html">Java SE 6 DecimalFormat</a>.)</dd>
</dl>

<dl>
 <dt><code><em>decimal-format</em></code> (optional)</dt>
 <dd>The name of an <code><a href="en/XSLT/decimal-format"> xsl:decimal-format</a></code> element that defines the number format to be used. If omitted, the default decimal-format will be used.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A string representing the number in the new format.</p>

<h3 id="Notes">Notes</h3>

<p>This function is an XSLT-specific addition to XPath. It is not a part of the core XPath function library.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-format-number">XSLT 1.0 12.3</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
